"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.wmlUpdateFile = void 0;
const change_1 = require("@schematics/angular/utility/change");
function wmlUpdateFile(host, modulePath, changes) {
    let recorder = host.beginUpdate(modulePath);
    changes.forEach((addDeclaration) => {
        if (addDeclaration instanceof change_1.InsertChange) {
            recorder.insertLeft(addDeclaration.pos, addDeclaration.toAdd);
        }
    });
    host.commitUpdate(recorder);
}
exports.wmlUpdateFile = wmlUpdateFile;
//# sourceMappingURL=updateFile.js.map