import { Rule } from '@angular-devkit/schematics';
export type TemplateModuleSchema = {
    name: string;
    componentName: string;
    path: string;
    project: string;
    routing: string;
    routingScope: "Child" | "Root";
    route: string;
    routeKey: string;
    flat: boolean;
    commonModule: string;
    module: string;
    fromLibrary: boolean;
};
export default function (options: TemplateModuleSchema): Rule;
