/// <reference types="node" />
import * as ts from '@schematics/angular/third_party/github.com/Microsoft/TypeScript/lib/typescript';
import { Tree } from '@angular-devkit/schematics';
export declare function removeLeadingWhitespace(inputString: string, prefixString: string, allowFirstLineUnshift?: boolean): string;
export declare function wmlCreateSourceFile(targetFilePath: string, tree: Tree): ts.SourceFile;
export declare let getIndentation: (text?: string) => [] | RegExpExecArray;
export declare let wmlMsgs: {
    syntaxIssue: (addtl: string) => string;
};
export declare function getTsMemberInfo(x: ts.Node): void;
export declare let addImportStatement: (targetFilePath: string, tree: Tree, importStatementSnippet: string, packageName: string, importStatement: string, importMembers: string[]) => string;
export declare function prepareForUpdate(snippet: string, targetFilePath: string, tree: Tree, insertPos?: number, indentTarget?: string, spacingPrefix?: string): void;
type ParameterSyntaxType = ts.Node | ts.ClassElement;
export declare function wmlFindChildNode(parent: ts.Node | ts.NodeArray<ts.ClassElement>, syntaxKind: ts.SyntaxKind | ((node: ParameterSyntaxType) => boolean), issueMsg: string, printChildInfo?: boolean, throwIfNotFound?: boolean): any;
export declare function getFile(tree: Tree, path: string): {
    targetPath: import("@angular-devkit/core").Path;
    targetFile: Buffer;
};
export declare let DevEnvFile: string;
export declare let FormsServiceFilePath: string;
export {};
